Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.processinstance
Class ProcessInstanceInfo

    java.lang.Object
      org.jbpm.persistence.processinstance.ProcessInstanceInfo

All Implemented Interfaces:
  org.drools.persistence.Transformable

    @Entity
    public class ProcessInstanceInfo

extends Object
implements org.drools.persistence.Transformable

Constructor Summary
`protected` | `ProcessInstanceInfo()`
`` | `ProcessInstanceInfo(ProcessInstance processInstance)`
`` | `ProcessInstanceInfo(ProcessInstance processInstance, Environment env)`

Method Summary
`void` | `clearProcessInstance()`
`boolean` | `equals(Object obj)`
`Environment` | `getEnv()`
`Set<String>` | `getEventTypes()`
`Long` | `getId()`
`Date` | `getLastModificationDate()`
`Date` | `getLastReadDate()`
`String` | `getProcessId()`
`ProcessInstance` | `getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime, Environment env)`
`ProcessInstance` | `getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime, Environment env, boolean readOnly)`
`byte[]` | `getProcessInstanceByteArray()`
`Long` | `getProcessInstanceId()` Added in order to satisfy Hibernate AND the JBPMorm.xml: Hibernate needs getter/setters for a the field that's mapped.
`Date` | `getStartDate()`
`int` | `getState()`
`int` | `getVersion()`
`int` | `hashCode()`
`void` | `setEnv(Environment env)`
`void` | `setId(Long processInstanceId)`
`void` | `setProcessInstanceId(Long processInstanceId)`
`void` | `transform()`
`void` | `updateLastReadDate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessInstanceInfo

    protected ProcessInstanceInfo()

### ProcessInstanceInfo

    public ProcessInstanceInfo(ProcessInstance processInstance)

### ProcessInstanceInfo

    public ProcessInstanceInfo(ProcessInstance processInstance,
                               Environment env)

Method Detail

### getProcessInstanceId

    public Long getProcessInstanceId()

  Added in order to satisfy Hibernate AND the JBPMorm.xml:
  - Hibernate needs getter/setters for a the field that's mapped.
    - (field access is inefficient/dangerous, and not necessary)
  - The JBPMorm.xml queries reference .processInstanceId as well.
  If we mapped the field using 'name="id"', the queries would thus fail. So instead of that, we just add the getters and use 'name="processInstanceId"'.

  Returns:
    The processInstanceId field value.

### setProcessInstanceId

    public void setProcessInstanceId(Long processInstanceId)

### getId

    public Long getId()

### setId

    public void setId(Long processInstanceId)

### getProcessId

    public String getProcessId()

### getStartDate

    public Date getStartDate()

### getLastModificationDate

    public Date getLastModificationDate()

### getLastReadDate

    public Date getLastReadDate()

### updateLastReadDate

    public void updateLastReadDate()

### getState

    public int getState()

### getProcessInstance

    public ProcessInstance getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime,
                                              Environment env)

### getProcessInstance

    public ProcessInstance getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime,
                                              Environment env,
                                              boolean readOnly)

### transform

    public void transform()

  Specified by:
    `transform` in interface `org.drools.persistence.Transformable`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getVersion

    public int getVersion()

### getEventTypes

    public Set<String> getEventTypes()

### getProcessInstanceByteArray

    public byte[] getProcessInstanceByteArray()

### clearProcessInstance

    public void clearProcessInstance()

### getEnv

    public Environment getEnv()

### setEnv

    public void setEnv(Environment env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.